%define major_ver %(echo %{version} | cut -d. -f1)

Summary: A library for reading tracing instances stored in a trace file
Name: libtracecmd
Version: 1.3.1
Release: 1%{?dist}
License: LGPLv2
URL: https://git.kernel.org/pub/scm/utils/trace-cmd/trace-cmd.git/
Source0: https://git.kernel.org/pub/scm/utils/trace-cmd/trace-cmd.git/snapshot/trace-cmd-libtracecmd-%{version}.tar.gz

BuildRequires: make gcc gcc-c++ xmlto chrpath mlocate asciidoc graphviz doxygen
BuildRequires: libxml2-devel freeglut-devel json-c-devel libzstd-devel
BuildRequires: libtraceevent-devel >= 1.5 libtracefs-devel >= 1.6

%description
A library containing functions for getting information and reading
tracing instances stored in a trace file that can be used without the
trace-cmd application.

%package -n libtracecmd-devel
Summary: Development files for libtracecmd
Requires: libtracecmd = %{version}-%{release}

%description -n libtracecmd-devel
Development files of the libtracecmd library

%prep
%autosetup -n trace-cmd-libtracecmd-%{version}

%build
MANPAGE_DOCBOOK_XSL=`rpm -ql docbook-style-xsl | grep manpages/docbook.xsl`
CFLAGS="%{optflags} -D_GNU_SOURCE" LDFLAGS="%{build_ldflags}" BUILD_TYPE=Release \
  make V=9999999999 MANPAGE_DOCBOOK_XSL=$MANPAGE_DOCBOOK_XSL \
  prefix=%{_prefix} libdir=%{_libdir} %{?_smp_mflags}\
  PYTHON_VERS=python3 libs doc

%install
make libdir=%{_libdir} prefix=%{_prefix} V=1 DESTDIR=%{buildroot}/ CFLAGS="%{optflags} -D_GNU_SOURCE" LDFLAGS="%{build_ldflags} -z muldefs " BUILD_TYPE=Release install_libs install_doc
find %{buildroot}%{_mandir} -iname trace-cmd\* -exec rm -rf {} \;
rm -rf %{buildroot}/%{_docdir}/trace-cmd
chrpath --delete %{buildroot}/%{_libdir}/libtracecmd.so*

%files
%license COPYING COPYING.LIB
%doc README
%{_libdir}/libtracecmd.so.%{major_ver}
%{_libdir}/libtracecmd.so.%{version}
%{_docdir}/libtracecmd-doc
%{_mandir}/man3/libtracecmd*
%{_mandir}/man3/tracecmd*

%files -n libtracecmd-devel
%{_libdir}/pkgconfig/libtracecmd.pc
%{_libdir}/libtracecmd.so
%{_includedir}/trace-cmd


%changelog
* Thu Aug 10 2023 rockerzhu <rockerzhu@tencent.com> - 1.3.1-1
- Upgrade to 1.3.1 and fix infinite loop build with make 4.4.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 25 2022 Cheng Xin <denisecheng@tencent.com> - 1.2.0-1
- package init.
